<?php
include '../comunes_php/cors.php';
include '../rdb/conn.php';
    $myfile = fopen("logFileGet.txt", "a") or die("Unable to open file!");
    $parametros = print_r($_REQUEST,TRUE);
    fwrite($myfile, "\n");
    fwrite($myfile, "---------------------------". date("Y-m-d H:i:s") ."--------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "----------------------------nuevo registro log-------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "-----------------------------------------------------------------------------------------------------");
    
    fwrite($myfile, "\n");
    
    fwrite($myfile, $parametros);
    fclose($myfile);

    $clientes= isset($_REQUEST['clientes']) ? $_REQUEST['clientes'] : '';
    $estados= isset($_REQUEST['estados']) ? $_REQUEST['estados'] : '';
    $repartidores= isset($_REQUEST['repartidor']) ? $_REQUEST['repartidor'] : '';
    $fabricas= isset($_REQUEST['fabricas']) ? $_REQUEST['fabricas'] : '';
    
    $tipoenvio= isset($_REQUEST['tipoenvio']) ? $_REQUEST['tipoenvio'] : '';
    
    $empresas= isset($_REQUEST['empresas']) ? $_REQUEST['empresas'] : '';
  
    $adesde= isset($_REQUEST['adesde']) ? $_REQUEST['adesde'] : '';
    $ahasta= isset($_REQUEST['ahasta']) ? $_REQUEST['ahasta'] : '';


    
     

    $res_id= isset($_REQUEST['res_id']) ? $_REQUEST['res_id'] : '';

    $where ="";
   
    if ($clientes <>'') {$where .= " and cliente_id in ($clientes) "; }
    if ($estados <>'') {$where .= " and estado_id in ($estados)  "; }
    if ($repartidores <>'') {$where .= " and a.id in ( select contrato_id from envios_detalle where envio_id in (select id from envios_cabecera where repartidor_id in ($repartidores))) "; }
    if ($tipoenvio <>'') {$where .= " and tipo_envio_id in ($tipoenvio) "; }
    
    if ($fabricas <>'') {$where .= " and a.id in ( select distinct contrato_id from contratos_detalle where producto_id in (select producto_id from productos where fabrica_id in ($fabricas))) "; }
    
    if ($empresas <>'') {$where .= " and empresa_id in ($empresas) "; }
    
    if ($adesde<>'') {$where .= " and fecha_aprobado >= '$adesde' "; }
    if ($ahasta<>'') {$where .= " and fecha_aprobado <= '$ahasta' "; }   
    
     if ($res_id <>'') {$where .= " and id in ($res_id) "; }
    
    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();


$sql = "select "
    . "count(*) "
    . "from"
    . " vw_contratos v where  estado_id in (2,4) ";
$sql.= $where ;
    

    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    		    $myfile = fopen("logFileGet.txt", "a") or die("Unable to open file!");
      		    fwrite($myfile, "\n");  
      		    fwrite($myfile, date("Y-m-d H:i:s")."*****************MODIFICACION*****************");
		        fwrite($myfile, "\n");      		    
        	    fwrite($myfile, $sql);
        	    fwrite($myfile, "\n");
        	    fclose($myfile);	    
    if ($result["total"] === 0) {exit;}  
    

    
    
   $sql = " select * from (SELECT distinct  v.id, estado_id, estado, cliente_id, cliente, "
. " ec.repartidor_id, "
. " (select nombre from repartidores where id=ec.repartidor_id) repartidor, "
. " tipo_envio_id, "
. " tipo_envio,  "
. " cant_productos,"
. " CAST(fecha_aprobado AS DATE)fecha_aprobado, "
. " DATE_ADD(CAST(fecha_aprobado AS DATE), INTERVAL demora DAY) fecha_entrega, "
. " ed.fecha_envio_real as fecha_envio_real, "
. " CAST(fecha_fabricado AS DATE)fecha_fabricado,  "
. " empresa_id, "
. " empresa"
. " FROM  "
. "     vw_contratos v,"
. "     envios_detalle ed, "
. "     envios_cabecera ec WHERE "
. "    ec.id  = ed.envio_id and "
. "    ed.contrato_id=v.id  "
. " UNION "
. "  SELECT distinct  v.id, estado_id, estado, cliente_id, cliente, "
. " -1, "
. " '-' repartidor, "
. " tipo_envio_id, "
. " tipo_envio,  "
. " cant_productos,"
. " CAST(fecha_aprobado AS DATE)fecha_aprobado, "
. " DATE_ADD(CAST(fecha_aprobado AS DATE), INTERVAL demora DAY) fecha_entrega, "
. "  CAST(fecha_aprobado AS DATE) , "
. " CAST(fecha_fabricado AS DATE) fecha_fabricado,  "
. " empresa_id, "
. " empresa"
. " FROM  "
. "     vw_contratos v"
. "   where estado_id in (4) and id not in (select contrato_id from envios_detalle)) a where 1 ";
    
	$sql.=  $where;
	$sql.= " order by id desc"; //limit $offset,$rows ";	
	$rs = mysqli_query( $conn,$sql);
 		    $myfile = fopen("logFileGet.txt", "a") or die("Unable to open file!");
      		    fwrite($myfile, "\n");
      		    fwrite($myfile, $dhasta);
      		     fwrite($myfile, "\n");
      		    fwrite($myfile, $ddesde);
      		     fwrite($myfile, "\n");
      		    fwrite($myfile, $dporcentual);
      		     fwrite($myfile, "\n");
      		    
      		    fwrite($myfile, date("Y-m-d H:i:s")."*****************MODIFICACION*****************");
		        fwrite($myfile, "\n");      		    
        	    fwrite($myfile, $sql);
        	    fwrite($myfile, "\n");
        	    fclose($myfile);	    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;


    echo json_encode($result);
    
  
    
?>